कुंजी का अवलोकन
| कुंजी संस्करण | V4 |
|---|---|
| विनिर्देश | RFC 2440 · RFC 4880 · RFC 9580 |
| स्थिति | अनुकूल, लेकिन RFC 9580 ने इसे पदावनत कर दिया है |
| प्राथमिक कुंजी (प्रमाणित करना, हस्ताक्षर करना) | ECDSA secp256k1 · ID 19 · SHA-256 |
| एन्क्रिप्शन उपकुंजी | ECDH NIST P-256 · ID 18 |
| फ़िंगरप्रिंट | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| निजी कुंजी का पासफ़्रेज़ | synthetic-key-password |
एल्गोरिदम और उपयोग
ECDSA secp256k1: secp256k1 पर एलिप्टिक कर्व हस्ताक्षर, Bitcoin से प्रसिद्ध कर्व। यह RFC 9580 कर्व रजिस्ट्री के बाहर है: GnuPG इसका समर्थन करता है, जबकि Sequoia पर आधारित सॉफ़्टवेयर, keys2 की-सर्वर सहित, इसे अस्वीकार करता है। केवल उन प्रणालियों से अनुकूलता के लिए उपयोग करें जिन्हें यह कर्व चाहिए।
ECDH NIST P-256: एलिप्टिक कर्व डिफ़ी–हेलमैन एन्क्रिप्शन उपकुंजी, इस कर्व पर: NIST P-256.
सार्वजनिक कुंजी
सार्वजनिक प्रमाणपत्र, जिसमें प्राथमिक कुंजी, एन्क्रिप्शन उपकुंजी और उनके बाइंडिंग हस्ताक्षर हैं। हस्ताक्षर सत्यापित करने या इस परीक्षण पहचान के लिए एन्क्रिप्ट करने हेतु इसे इम्पोर्ट करें।
डाउनलोड करें → 729 बाइट
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
निजी कुंजी
ऊपर दिखाए गए पासफ़्रेज़ से सुरक्षित निजी कुंजी। केवल परीक्षण के लिए प्रकाशित: कोई भी इसका उपयोग कर सकता है।
डाउनलोड करें → 955 बाइट
दिखाएँ
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
निरस्तीकरण प्रमाणपत्र
पहले से बनाया गया निरस्तीकरण प्रमाणपत्र। इसे इम्पोर्ट करने से कुंजी निरस्त के रूप में चिह्नित होती है; इसे प्रकाशित किया गया है ताकि आप निरस्त कुंजियों के साथ सॉफ़्टवेयर का व्यवहार जाँच सकें।
डाउनलोड करें → 888 बाइट
दिखाएँ
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin का हस्ताक्षर
CH-J Tools में इस कुंजी से बनाया गया test_1MB.bin का अलग ASCII-armored हस्ताक्षर। इसे test_1MB.bin.asc नाम से परीक्षण फ़ाइल के पास सहेजें।
डाउनलोड करें → 228 बाइट
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
हस्ताक्षर सत्यापित करें
संस्करण 4 की कुंजियाँ GnuPG और sqop या rsop जैसे SOP टूल के साथ काम करती हैं, जहाँ तक एल्गोरिदम समर्थित हों। अस्थायी GNUPGHOME उपयोग करें ताकि परीक्षण कुंजी आपके वास्तविक कीरिंग में न जाए:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin